.m-wire-payment--creator {
  font-weight: 400;
  max-width: 900px;
  margin: auto;
  position: relative;

  h2 {
    font-weight: 200;
  }
  h3,
  h4 {
    font-weight: 400;
  }

  h3 {
    display: block;
    font-size: 14px;
    font-weight: 600;
    line-height: 1;
    text-transform: uppercase;
    letter-spacing: 1.2px;
    align-items: center;
    margin: 0 0 $minds-padding 0;

    > .m-wire--creator-section--title-context {
      font-size: 12px;
      line-height: 1;
      max-width: 300px;
      text-transform: initial;
      margin-left: $minds-padding * 3;
    }
  }

  h4 {
    font-size: 24px;
    letter-spacing: 2.5px;
  }

  .material-icons--inline {
    vertical-align: bottom;
    font-size: inherit;
    position: relative;
    top: -0.15em;
  }

  .m-wire--creator--header {
    position: relative;
    margin-bottom: 16px;

    h2 {
      font-size: 36px;
      letter-spacing: 1.8px;
      margin: 0 0 8px;
    }

    .m-wire-creator--header-svg {
      display: flex;
      align-items: center;
      justify-content: flex-start;

      .ion-icon {
        margin-right: $minds-padding;
        font-size: 36px;
        @include m-theme() {
          color: themed($m-blue);
        }
      }
    }

    .m-wire--creator--header-text {
      display: flex;
      flex-direction: row;
      align-items: center;

      .m-wire--avatar {
        display: flex;
        flex-direction: column;

        img {
          border-radius: 50%;
          max-height: 42px;
        }
      }

      .m-wire-creator--subtext {
        letter-spacing: 1px;
        font-weight: 400;
        margin-bottom: 0;
        padding-left: $minds-margin * 2;
        line-height: 16px;
      }
    }

    .m-wire--creator--wallet {
      position: absolute;
      right: $minds-padding + 64px;
      top: 28px;
      font-size: 16px;

      .m--middle {
        vertical-align: middle;
      }
    }
  }

  .m-wire--creator-section-row {
    display: flex;
    flex-direction: row;
    @media screen and (max-width: $min-tablet) {
      flex-direction: column;
    }

    > .m-wire--creator-section {
      flex: 1;
    }
  }

  .m-wire--creator-section {
    padding: 16px 0;
    font-weight: 400;

    &.m-wire--creator-section--last {
      margin-top: 8px;
    }
  }

  .m-wire--creator--recurring {
    margin-top: $minds-padding * 2;
  }

  .m-wire--creator--amount {
    display: flex;
    align-items: center;
  }

  .m-wire--creator--amount,
  .m-wire--creator--target {
    margin-top: 16px;
    letter-spacing: 2.5px;
    input {
      width: 192px;
      padding: 12px;
      font-weight: 400;
      letter-spacing: 5px;
      text-align: right;

      appearance: none;
      color: inherit;
      font-family: inherit;
      font-size: inherit;
      line-height: inherit;
      border: none;
      border-radius: $minds-padding / 2;
      margin: 0;
      margin-right: 8px;
      @include m-theme() {
        background-color: rgba(themed($m-black), 0.15);
      }

      &:focus {
        outline: none;
      }
    }
  }

  .m-wire--creator-selector {
    > li {
      flex-basis: 0;
      flex-grow: 1;
      cursor: pointer;

      h4,
      span {
        margin: 0;
        font-weight: 400;
      }

      h5 {
        margin: 8px 0 2px !important;
        font-size: 14px;
        font-weight: 400;

        > * {
          vertical-align: middle;
        }

        .m-tooltip {
          .material-icons {
            font-size: 16px;
            line-height: 1.1;
          }
        }

        > span {
          font-weight: bold !important;
          font-size: 18px;
          -webkit-font-smoothing: antialiased;
          text-rendering: optimizeLegibility;
        }
      }

      .m-wire--creator-selector-type {
        padding: 0;
        margin-bottom: $minds-margin;

        > * {
          vertical-align: middle;
          display: inline-block;
        }
        > i {
          font-size: 42px;
          display: block;
        }
      }

      .m-wire--creator-selector-subtext {
        display: block;
        font-size: 12px;
        line-height: 1.1;
        -webkit-font-smoothing: antialiased;
        text-rendering: optimizeLegibility;
        @include m-theme() {
          color: themed($m-grey-200);
        }
      }

      b {
        font-weight: 500 !important;
        letter-spacing: 3px;
      }

      .m-wire--creator-selector--cta,
      .m-wire--creator-selector--selected-label,
      .m-wire--creator-selector--description {
        display: block;
        font-size: 13px;
      }

      .m-wire--creator-selector--cta,
      .m-wire--creator-selector--selected-label {
        text-transform: uppercase;
        letter-spacing: 0.5px;
        line-height: 2;
      }

      .m-wire--creator-selector--selected-label {
        font-weight: 400;
        @include m-theme() {
          color: themed($m-blue);
        }
      }

      .m-wire--creator-selector--description {
        font-size: 13px;
        letter-spacing: 1.5px;
        line-height: 1.3;
        max-width: 300px;
        @include m-theme() {
          color: rgba(themed($m-black), 0.75);
        }
      }
    }
  }

  .m-wire--creator-wide-input {
    $fs: 32px;

    font-size: $fs;
    letter-spacing: 2.4px;
    //height: $fs + $minds-padding;

    > * {
      vertical-align: middle;
    }

    &.m-wire--creator-wide-input--reading {
      cursor: pointer;
    }

    @media screen and (max-width: $min-tablet) {
      $fs-mobile: 32px;

      font-size: $fs-mobile;
      height: $fs-mobile + $minds-padding;

      .m-wire--creator-wide-input--edit {
        height: $fs-mobile + $minds-padding;
        line-height: $fs-mobile;

        flex-shrink: 1;
        min-width: 50px;
        max-width: 120px;
        width: initial;
        padding: $minds-padding;
      }
    }

    .m-wire--creator-wide-input--read-mode {
      font-weight: 400;

      &.m-wire--creator-wide-input--empty-read-mode {
        opacity: 0.65;
      }
    }

    &.m-wire--creator--target {
      .m-wire--creator-wide-input--edit {
        width: 15em;
        max-width: 90%;
        height: auto;
        line-height: 1;
      }
    }
  }

  .m-wire--creator-toggle {
    .m-wire--creator-toggle--select,
    .m-wire--creator-toggle--selected {
      font-size: 10px;
      text-transform: uppercase;
      letter-spacing: 0.5px;
      min-width: 6em;
      margin-right: $minds-padding * 2;
    }

    .m-wire--creator-toggle--selected {
      font-weight: 500;
      @include m-theme() {
        color: themed($m-blue);
      }
    }

    b {
      font-weight: 500 !important;
    }
  }

  .m-wire--creator-autocomplete--results {
    position: relative;
    width: 30em;
    max-width: 90%;
    max-height: 300px;
    font-size: 16px;
    border-radius: 3px;
    padding: $minds-padding;
    margin-top: $minds-padding * 1.5;
    overflow-y: auto;
    box-sizing: border-box;
    @include m-theme() {
      background-color: rgba(themed($m-black), 0.15);
    }

    &:after {
      bottom: 100%;
      left: 95%;
      border: solid transparent;
      content: ' ';
      height: 0;
      width: 0;
      position: absolute;
      pointer-events: none;
      border-width: 8px;
      margin-left: -8px;
      @include m-theme() {
        border-color: rgba(themed($m-grey-600), 0);
        border-bottom-color: themed($m-white);
      }
    }

    .m-wire--creator-autocomplete--result {
      padding: $minds-padding / 2;
      cursor: pointer;
      display: flex;
      justify-content: space-between;

      &:hover,
      &.m-wire--creator-autocomplete--result-highlight {
        font-weight: 500;
        @include m-theme() {
          background-color: themed($m-white);
          color: themed($m-black);
        }
      }
    }
  }

  .m-wire--creator--submit {
    display: flex;
    justify-content: flex-start;
    align-items: center;

    .m-wire--creator-button {
      font-size: 14px;
      letter-spacing: 2.33px;
      appearance: none;
      padding: 8px 32px;
      background: none;
      border-radius: 0;
      font-family: inherit;
      font-size: inherit;
      font-weight: inherit;
      text-transform: uppercase;
      cursor: pointer;
      @include m-theme() {
        border: 1px solid themed($m-grey-700);
        color: themed($m-grey-700);
      }

      &[disabled] {
        cursor: default;
        opacity: 0.35;
      }
    }

    .m-wire--creator--submit-label,
    .m-wire--creator--submit-error {
      margin-left: $minds-padding;
      font-size: 16px;

      > span,
      > i {
        vertical-align: middle;
      }
    }

    .m-wire--creator--submit-error {
      font-size: 12px;
      font-weight: 500;
      @include m-theme() {
        color: themed($m-red);
      }
    }
  }

  // Credit Card Input
  .m-wire--creator-payment {
    border: 0;
    border-radius: 3px;
    max-width: 440px;
    padding: 0px;
    @include m-theme() {
      background-color: rgba(themed($m-black), 0.1);
    }

    @media screen and (max-width: $max-mobile) {
      position: static;
      margin: 0;
      min-width: 0;
      max-width: initial;
    }

    .mdl-card {
      background: transparent;
    }

    .m-wire--creator-payment-attached {
      display: flex;
      flex-direction: column;
      justify-content: center;
      text-align: center;
      padding: 16px;

      i {
        font-size: 90px;
        cursor: default;
      }
      span {
        padding: 16px 0;
        text-transform: uppercase;
        letter-spacing: 2px;
        cursor: default;

        b {
          cursor: pointer;
        }
      }
    }

    .m-payments--saved-cards {
      padding-bottom: $minds-padding;

      .m-payments-saved--title {
        font-size: 11px;
        letter-spacing: 2.5px;
      }
    }

    .m-payments--saved-card-item {
      padding: 4px 8px;
      margin: 8px 16px;
      @include m-theme() {
        background-color: rgba(themed($m-white), 0.5);
        color: themed($m-grey-700);
      }
    }

    input {
      padding: 12px;
      border: 0;
      border-radius: 3px;
      @include m-theme() {
        background-color: rgba(themed($m-white), 0.5);
        color: themed($m-grey-700);
      }
      &::placeholder {
        @include m-theme() {
          color: themed($m-grey-400);
        }
      }
    }
    select {
      padding: 12px;
      border: 0;
      border-radius: 3px;
      @include m-theme() {
        background-color: rgba(themed($m-white), 0.5);
        color: themed($m-grey-700);
      }
    }
    .mdl-textfield {
      padding: 12px 0;
      label {
        padding: 0px 12px;
        @include m-theme() {
          color: themed($m-grey-600);
        }
      }
    }
    .is-focused,
    .is-dirty {
      border: 0;
      label {
        border: 0;
        top: -8px;
        left: -8px;
        @include m-theme() {
          color: themed($m-grey-700);
        }
        &::after {
          border: 0;
          background-color: transparent;
        }
      }
    }
    .minds-purchase-vendors {
      margin-bottom: ($minds-padding * 2) !important;
      @include m-theme() {
        color: themed($m-grey-700);
      }
    }
    .m-purchase-card--highlight {
      font-weight: bold;
    }
    .m-checkout--secure {
      @include m-theme() {
        color: themed($m-grey-600);
      }
    }
    button {
      padding: 12px;
      -webkit-appearance: none;
      border: 0;
      font-size: 16px;
      text-transform: uppercase;
      letter-spacing: 1px;
      border-radius: 3px;
      cursor: pointer;
      @include m-theme() {
        color: themed($m-white);
        background-color: rgba(themed($m-black), 0.5);
      }
    }
  }

  .minds-purchase-card > .mdl-grid {
    justify-content: space-between;
  }

  .m-checkout-confirm {
    padding-left: 0 !important;
  }

  .m-payments-saved {
    .m-payments-saved--item {
      text-transform: uppercase;
      font-weight: 400;
      padding: $minds-padding / 2;
      padding-left: $minds-padding * 2;

      &:hover,
      &:focus {
        font-weight: 400;
      }
    }
  }

  .mdl-checkbox {
    .mdl-checkbox__label {
      font-size: inherit;
    }

    .mdl-checkbox__box-outline {
      @include m-theme() {
        background-color: rgba(themed($m-black), 0.15);
        border-color: rgba(themed($m-black), 0.15);
      }
    }

    &.is-checked .mdl-checkbox__tick-outline {
      mask: none;
      @include m-theme() {
        background-color: rgba(themed($m-black), 0.15);
      }
    }

    .mdl-checkbox__ripple-container .mdl-ripple {
      @include m-theme() {
        background-color: rgba(themed($m-black), 0.15);
      }
    }
  }
}

//&:last-child {
//  margin-bottom: 0;
//}

.m-wire--creator-selector {
  display: flex;
  margin: 0;
  padding: 0;
  list-style: none;
  max-width: 410px;

  > li {
    //opacity: 0.5;
    padding: ($minds-padding);
    cursor: pointer;
    user-select: none;

    &:first-child {
      padding-left: 0;
    }

    &:last-child {
      padding-right: 0;
    }

    &.m-wire--creator-selector--disabled {
      cursor: default;
    }

    // &.m-wire--creator-selector--highlight {
    //   opacity: 1;
    // }

    &:not(.m-wire--creator-selector--highlight) .m-wire--creator-selector-type {
      > i,
      h5 > span,
      .m-boost--creator-selector--hoverable,
      .material-icons {
        opacity: 0.5;
      }
    }

    .m-wire--creator-selector--cta {
      visibility: visible;
    }

    .m-wire--creator-selector--selected-label {
      visibility: hidden;
      height: 0;
    }
  }

  &.m-wire--creator-selector--has-selection {
    > li.m-wire--creator-selector--highlight {
      .m-wire--creator-selector--cta {
        visibility: hidden;
        height: 0;
      }

      .m-wire--creator-selector--selected-label {
        visibility: visible;
        height: auto;
      }
    }
  }
}

.m-wire--creator-toggle {
  cursor: pointer;
  user-select: none;

  > span,
  > img {
    vertical-align: middle;
  }

  &.m-wire--creator-toggle--disabled {
    cursor: default;
    opacity: 0.35;
  }

  .m-wire--creator-toggle--select {
    display: inline-block;
  }

  .m-wire--creator-toggle--selected {
    display: none;
  }

  &.m-wire--creator-toggle--highlight {
    .m-wire--creator-toggle--select {
      display: none;
    }

    .m-wire--creator-toggle--selected {
      display: inline-block;
    }
  }
}

// Card Input

.m-wire--creator-modal minds-payments-stripe-checkout {
  minds-checkout-card-input {
    display: block;
    max-width: $min-tablet;
  }

  .mdl-card,
  .mdl-card__supporting-text {
    background: transparent;
    color: inherit;
  }

  .minds-purchase-card > .mdl-card__supporting-text {
    width: 100%;
    padding: 0 !important;
  }

  .mdl-textfield__label {
    @include m-theme() {
      color: rgba(themed($m-black), 0.46);
    }

    &:after {
      @include m-theme() {
        background-color: themed($m-white);
      }
    }
  }

  .mdl-textfield__input {
    font-family: inherit;
    font-weight: inherit;
    @include m-theme() {
      color: themed($m-white);
      border-bottom: 1px solid rgba(themed($m-black), 0.32);
    }
  }

  .mdl-textfield--floating-label {
    &.is-focused,
    &.is-dirty,
    &.has-placeholder {
      .mdl-textfield__label {
        @include m-theme() {
          color: themed($m-white);
        }
      }
    }
  }

  .minds-purchase-vendors {
    > span {
      opacity: 0.35;

      &.m-purchase-card--highlight {
        opacity: 1;
      }
    }
  }

  select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: transparent;
    border-radius: 0;
    @include m-theme() {
      color: themed($m-white);
      border: 1px solid themed($m-white);
    }

    &:focus {
      @include m-theme() {
        outline: 2px solid themed($m-white);
      }
    }
  }

  .m-checkout-confirm button {
    @extend .m-wire--creator-button;
  }

  .m-checkout-loading {
    text-align: center;

    p {
      margin-top: $minds-padding;
    }
  }

  .m-payments-saved {
    list-style: none;
    margin: 0 0 ($minds-padding * 2) 0;
    padding: 0;
    cursor: pointer;
    user-select: none;

    .m-payments-saved--item {
      &:hover,
      &:focus {
        @include m-theme() {
          background-color: themed($m-white);
          color: themed($m-black);
        }
      }
    }
  }
}

// Creator Rewards component

.m-wire--creator-rewards {
  display: block;
  //border-left: 1px solid rgba(0, 0, 0, 0.2);
  //padding: ($minds-padding * 3) 0 ($minds-padding * 3) 60px;
  font-family: inherit;
  font-weight: 200;
  @include m-theme() {
    color: themed($m-grey-700);
  }

  @media screen and (max-width: $max-mobile) {
    position: initial;
    max-width: none;
    border: none;
    padding: 0 ($minds-padding * 2);
    margin: ($minds-padding * 2) 0;
  }

  .m-wire--creator-rewards--title {
    display: flex;
    flex-direction: row;
    align-items: center;
  }

  .m-wire--creator-rewards--sums {
    margin: 0 0 8px 8px;
    font-size: 12px;
    font-weight: 400;
    letter-spacing: 0.5px;
    line-height: 1;
    @include m-theme() {
      color: themed($m-grey-500);
    }

    b {
      font-weight: 400;
    }
  }

  .m-wire--creator-rewards--list {
    //max-width: 360px;
    display: flex;
    flex-direction: row;
    list-style: none;
    margin: 0;
    padding: 0;
    @include m-theme() {
      color: rgba(themed($m-black), 0.35);
    }

    .m-wire--creator-rewards--threshold {
      padding: 8px;
      cursor: pointer;
      max-width: 156px;
    }

    .m-wire--creator-rewards--above-threshold {
      @include m-theme() {
        color: rgba(themed($m-black), 0.6);
      }
    }

    .m-wire--creator-rewards--best-reward {
      @include m-theme() {
        color: themed($m-grey-900);
      }
    }

    .m-wire--creator-rewards--amount span {
      padding-bottom: $minds-padding;
      font-size: 24px;
      font-weight: 500;
      letter-spacing: 2.5px;
    }

    .m-wire--creator-rewards--description p {
      font-family: 'Roboto', Helvetica, sans-serif;
      padding: 0;
      margin: 4px 0;
      line-height: 1.1;
      font-size: 12px;
      font-weight: 400;
    }
  }
}

.m-wire--creator-wide-input--cost {
  display: flex;
  align-items: center;
  margin-top: $minds-padding;

  .m-wire--creator-wide-input--cost-label-value {
    min-width: 192px;
    display: inline-flex;
    align-items: center;

    @media screen and (max-width: $min-tablet) {
      flex-grow: 1;
      min-width: 50px;
      max-width: 120px;
      width: initial;
    }
  }

  .m-wire--creator-wide-input--cost-label {
    flex-grow: 1;
    flex-basis: 0;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 0.5px;
  }

  .m-wire--creator-wide-input--cost-value {
    flex-grow: 1;
    flex-basis: 0;
    border-radius: 4px;
    font-weight: bold;
    text-align: right;
    @include m-theme() {
      background-color: rgba(themed($m-black), 0.1);
    }

    > span {
      margin: 0 ($minds-padding * 2);
    }
  }

  .m-wire--creator-wide-input--cost-currency {
    margin-left: 1em;
    font-weight: bold;
    letter-spacing: 0.5px;
    @include m-theme() {
      color: themed($m-grey-300);
    }
  }
}
